WordPress.org

Support

Support » Plugins and Hacks » Zendesk Chat » Latest version broken

Latest version broken

Viewing 8 replies - 1 through 8 (of 8 total)
  • same with me,

    after install this new update, my wordpress show this

    The plugin generated 471 characters of unexpected output during activation. If you notice “headers already sent” messages, problems with syndication feeds or other issues, try deactivating or removing this plugin.

    same here. exact same error message as above.

    After updating plugin, I get this error whenever updating a post, page, anything:

    Warning: Cannot modify header information - headers already sent by (output started at /home/.../public_html/wp-content/plugins/zopim-live-chat/accountconfig.php:20) in /home/.../public_html/wp-admin/post.php on line 235

    Warning: Cannot modify header information - headers already sent by (output started at /home/.../public_html/wp-content/plugins/zopim-live-chat/accountconfig.php:20) in /home/.../public_html/wp-includes/pluggable.php on line 1121

    You can hack a fix (PHP 5.3+) by replacing the style block at the top of accountconfig.php in the plugin with this:

    <?php add_action('admin_print_styles', function() { ?>
    <style type="text/css">
    	.btn_orange {
    		display: inline-block;
    		width: 150px;
    		padding: 10px 0px;
    		background: #F38313;
    		color: #fff !important;
    		border-radius: 5px;
    		font-weight: 700;
    		font-style: normal;
    		font-size: 14px;
    		border: none;
    		text-shadow: 0px -1px 1px rgba(0, 0, 0, 0.2);
    		text-decoration: none;
    		text-align: center;
    		border: 1px solid #E37A13;
    		box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1), inset 0 1px 0 rgba(255, 255, 255, 0.2);
    	}
    </style>
    <?php }); ?>
    Plugin Author bencxr

    @bencxr

    Hi webaware,
    thank you for your suggestion, the update has been rolled out.
    Appreciate your help!

    Regards,
    Team Zopim

    @bencxr: that code works OK for PHP 5.3+ but will break on PHP 5.2. I suggest you refactor it to use a named function, not a closure. Otherwise, you’ll get a new crop of “doesn’t work” reports from people still hosted on old, obsolete, unsupported versions of PHP (and there’s lots of them!)

    cheers,
    Ross

    Plugin Author bencxr

    @bencxr

    @webaware, yeap did a refactor to register and enqueue the styles. Should work for all versions now. Thanks you for your help really appreciate it.

    Regards,
    Team Zopim

    Good stuff, looking good now.

    cheers
    Ross

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘Latest version broken’ is closed to new replies.
Skip to toolbar